# eoElitism< EOT > Class Template Reference

Straightforward elitism class, specify the number of individuals to copy into new geneneration or the rate w.r.t. More...

`#include <eoMerge.h>`

Inheritance diagram for eoElitism< EOT >:

List of all members.

## Public Member Functions

| eoElitism (double _rate, bool _interpret_as_rate=true)
void | operator() (const eoPop< EOT > &_pop, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

double | rate
unsigned | combien

## Detailed Description

### template<class EOT>
class eoElitism< EOT >

Straightforward elitism class, specify the number of individuals to copy into new geneneration or the rate w.r.t.

pop size

Definition at line 55 of file eoMerge.h.

The documentation for this class was generated from the following file:

- eoMerge.h